[arch-commits] Commit in python-qiniu/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Thu May 9 06:15:56 UTC 2019


    Date: Thursday, May 9, 2019 @ 06:15:56
  Author: felixonmars
Revision: 463865

archrelease: copy trunk to community-any

Added:
  python-qiniu/repos/community-any/PKGBUILD
    (from rev 463864, python-qiniu/trunk/PKGBUILD)
Deleted:
  python-qiniu/repos/community-any/PKGBUILD

----------+
 PKGBUILD |   70 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 35 insertions(+), 35 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-05-09 06:15:30 UTC (rev 463864)
+++ PKGBUILD	2019-05-09 06:15:56 UTC (rev 463865)
@@ -1,35 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgname=python-qiniu
-pkgver=7.2.2
-pkgrel=3
-pkgdesc="Qiniu Resource Storage SDK for Python"
-arch=('any')
-url='https://github.com/qiniu/python-sdk'
-license=('MIT')
-depends=('python-requests' 'python-setuptools')
-checkdepends=('python-pytest-runner')
-source=("$pkgname-$pkgver.tar.gz::https://github.com/qiniu/python-sdk/archive/v$pkgver.tar.gz")
-sha512sums=('29f9573c6c20224611d90c3f27b977d5e725cf40da045352ecc6c0f3496a6573f63246f1afd55a7cef0201d3f69c68d5f2c50bbe46d19e8b3d68889910869845')
-
-build() {
-  cd python-sdk-$pkgver
-  python setup.py build
-}
-
-check() {
-  # Extracted from .travis.yml
-  export QINIU_TEST_BUCKET="pythonsdk"
-  export QINIU_TEST_DOMAIN="pythonsdk.qiniudn.com"
-  export QINIU_TEST_ENV="travis"
-
-  cd python-sdk-$pkgver
-  python setup.py pytest || warning "Tests failed"
-}
-
-package() {
-  cd python-sdk-$pkgver
-  python setup.py install -O1 --root "$pkgdir"
-
-  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}

Copied: python-qiniu/repos/community-any/PKGBUILD (from rev 463864, python-qiniu/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-05-09 06:15:56 UTC (rev 463865)
@@ -0,0 +1,35 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=python-qiniu
+pkgver=7.2.4
+pkgrel=1
+pkgdesc="Qiniu Resource Storage SDK for Python"
+arch=('any')
+url='https://github.com/qiniu/python-sdk'
+license=('MIT')
+depends=('python-requests' 'python-setuptools')
+checkdepends=('python-pytest-runner')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/qiniu/python-sdk/archive/v$pkgver.tar.gz")
+sha512sums=('c7ad924cc413d991e637d66a092b49b960063c364a81c96ceb6e5a777379b8f2d2bc230827b9c847d93b1c549e940a93abd8126eb176e8102c729f6f708eb2d4')
+
+build() {
+  cd python-sdk-$pkgver
+  python setup.py build
+}
+
+check() {
+  # Extracted from .travis.yml
+  export QINIU_TEST_BUCKET="pythonsdk"
+  export QINIU_TEST_DOMAIN="pythonsdk.qiniudn.com"
+  export QINIU_TEST_ENV="travis"
+
+  cd python-sdk-$pkgver
+  python setup.py pytest || warning "Tests failed"
+}
+
+package() {
+  cd python-sdk-$pkgver
+  python setup.py install -O1 --root "$pkgdir"
+
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}


More information about the arch-commits mailing list